[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenu.HandleNeeded

Ensures that a Handle has been allocated for the menu.

## Declaration

Source position: menus.pp line 418

`public procedure TMenu.HandleNeeded;`

## Description

Calls CreateHandle if the Handle has not been allocated for the menu.

## See also

TMenu.Handle |  | Handle for the menu allocated in the widgetset class.
TMenu.HandleAllocated |  | Returns True if a Handle has been allocated for the menu.
TMenu.CreateHandle |  | Creates the Handle for the menu.
TMenu.DestroyHandle |  | Frees the Handles for the items on the menu.
TMenu.GetHandle |  | Gets the value for the Handle property.